Rocky Linux: RLSA-2021:4059 curl security update | LinuxSecurity.com
\{'type': 'Security', 'shortCode': 'RL', 'name': 'RLSA-2021:4059', 'synopsis': 'Moderate: curl security update', 'severity': 'Moderate', 'topic': 'An update for curl is now available for Rocky Linux 8.\nRocky Linux Product Security has rated this update as having a security impact of Moderate. A Common Vulnerability Scoring System (CVSS) base score, which gives a detailed severity rating, is available for each vulnerability from the CVE link(s) in the References section.', 'description': 'The curl packages provide the libcurl library and the curl utility for downloading files from servers using various protocols, including HTTP, FTP, and LDAP.\nFor more details about the security issue(s), including the impact, a CVSS score, acknowledgments, and other related information, refer to the CVE page(s) listed in the References section.', 'solution': None, 'affectedProducts': ['Rocky Linux 8'], 'fixes': ['2003175', '2003191'], 'cves': ['Red Hat:::https://access.redhat.com/hydra/rest/securitydata/cve/CVE-2021-22946.json:::CVE-2021-22946', 'Red Hat:::https://access.redhat.com/hydra/rest/securitydata/cve/CVE-2021-22947.json:::CVE-2021-22947'], 'references': [], 'publishedAt': '2021-11-03T01:25:03.261193Z', 'rpms': ['curl-7.61.1-18.el8_4.2.aarch64.rpm', 'curl-7.61.1-18.el8_4.2.src.rpm', 'curl-7.61.1-18.el8_4.2.x86_64.rpm', 'curl-debuginfo-7.61.1-18.el8_4.2.aarch64.rpm', 'curl-debuginfo-7.61.1-18.el8_4.2.i686.rpm', 'curl-debuginfo-7.61.1-18.el8_4.2.x86_64.rpm', 'curl-debugsource-7.61.1-18.el8_4.2.aarch64.rpm', 'curl-debugsource-7.61.1-18.el8_4.2.i686.rpm', 'curl-debugsource-7.61.1-18.el8_4.2.x86_64.rpm', 'libcurl-7.61.1-18.el8_4.2.aarch64.rpm', 'libcurl-7.61.1-18.el8_4.2.i686.rpm', 'libcurl-7.61.1-18.el8_4.2.x86_64.rpm', 'libcurl-debuginfo-7.61.1-18.el8_4.2.aarch64.rpm', 'libcurl-debuginfo-7.61.1-18.el8_4.2.i686.rpm', 'libcurl-debuginfo-7.61.1-18.el8_4.2.x86_64.rpm', 'libcurl-devel-7.61.1-18.el8_4.2.aarch64.rpm', 'libcurl-devel-7.61.1-18.el8_4.2.i686.rpm', 'libcurl-devel-7.61.1-18.el8_4.2.x86_64.rpm', 'libcurl-minimal-7.61.1-18.el8_4.2.aarch64.rpm', 'libcurl-minimal-7.61.1-18.el8_4.2.i686.rpm', 'libcurl-minimal-7.61.1-18.el8_4.2.x86_64.rpm', 'libcurl-minimal-debuginfo-7.61.1-18.el8_4.2.aarch64.rpm', 'libcurl-minimal-debuginfo-7.61.1-18.el8_4.2.i686.rpm', 'libcurl-minimal-debuginfo-7.61.1-18.el8_4.2.x86_64.rpm']}\

Rocky Linux: RLSA-2021:4059 curl security update

September 2, 2022
An update for curl is now available for Rocky Linux 8

Summary

An update for curl is now available for Rocky Linux 8. Rocky Linux Product Security has rated this update as having a security impact of Moderate. A Common Vulnerability Scoring System (CVSS) base score, which gives a detailed severity rating, is available for each vulnerability from the CVE link(s) in the References section.


The curl packages provide the libcurl library and the curl utility for downloading files from servers using various protocols, including HTTP, FTP, and LDAP. For more details about the security issue(s), including the impact, a CVSS score, acknowledgments, and other related information, refer to the CVE page(s) listed in the References section.

RPMs

curl-7.61.1-18.el8_4.2.aarch64.rpm
curl-7.61.1-18.el8_4.2.src.rpm
curl-7.61.1-18.el8_4.2.x86_64.rpm
curl-debuginfo-7.61.1-18.el8_4.2.aarch64.rpm
curl-debuginfo-7.61.1-18.el8_4.2.i686.rpm
curl-debuginfo-7.61.1-18.el8_4.2.x86_64.rpm
curl-debugsource-7.61.1-18.el8_4.2.aarch64.rpm
curl-debugsource-7.61.1-18.el8_4.2.i686.rpm
curl-debugsource-7.61.1-18.el8_4.2.x86_64.rpm
libcurl-7.61.1-18.el8_4.2.aarch64.rpm
libcurl-7.61.1-18.el8_4.2.i686.rpm
libcurl-7.61.1-18.el8_4.2.x86_64.rpm
libcurl-debuginfo-7.61.1-18.el8_4.2.aarch64.rpm
libcurl-debuginfo-7.61.1-18.el8_4.2.i686.rpm
libcurl-debuginfo-7.61.1-18.el8_4.2.x86_64.rpm
libcurl-devel-7.61.1-18.el8_4.2.aarch64.rpm
libcurl-devel-7.61.1-18.el8_4.2.i686.rpm
libcurl-devel-7.61.1-18.el8_4.2.x86_64.rpm
libcurl-minimal-7.61.1-18.el8_4.2.aarch64.rpm
libcurl-minimal-7.61.1-18.el8_4.2.i686.rpm
libcurl-minimal-7.61.1-18.el8_4.2.x86_64.rpm
libcurl-minimal-debuginfo-7.61.1-18.el8_4.2.aarch64.rpm
libcurl-minimal-debuginfo-7.61.1-18.el8_4.2.i686.rpm
libcurl-minimal-debuginfo-7.61.1-18.el8_4.2.x86_64.rpm

References

Severity
Name: RLSA-2021:4059
Affected Products: Rocky Linux 8

Fixes

https://bugzilla.redhat.com/show_bug.cgi?id=2003175

https://bugzilla.redhat.com/show_bug.cgi?id=2003191

CVES

https://access.redhat.com/hydra/rest/securitydata/cve/CVE-2021-22946.json

https://access.redhat.com/hydra/rest/securitydata/cve/CVE-2021-22947.json

We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.